Bug 498826 - firefox fails to restart after updating plugin (NoScript): 'BadWindow' error from X
firefox fails to restart after updating plugin (NoScript): 'BadWindow' error ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 13:29 EDT by Tom London
Modified: 2009-05-16 15:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-16 15:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-05-03 13:29:04 EDT
Description of problem:
I started firefox and got the 'you have updates to plugins' dialog.

After updating the plugin (NoScript), firefox failed to restart.

Checking ~/.xsession-errors, I see:

The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 389 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Firefox starts fine after this, just the "automatic restart" failed.

Version-Release number of selected component (if applicable):
firefox-3.5-0.20.beta4.fc11.x86_64
xulrunner-1.9.1-0.20.beta4.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-05-04 10:59:32 EDT
When you restart firefox again, does it happen again?
Comment 2 Tom London 2009-05-04 12:31:39 EDT
If I understand your question correctly, no.

It only appeared to happen once (per script update?).
Comment 3 Matěj Cepl 2009-05-15 20:13:00 EDT
I probably cannot do anything else than close this as one-off screw up of somebody. There is precious little in this bug report to work on (if you notice in the original error message, this error message as such is not useful).

If you have any idea how to investigate it further, please, reopen with additional information.

Thank you for filing the report and sorry I cannot do more.
Comment 4 Tom London 2009-05-16 12:06:16 EDT
No problem.

I file anomalies, and do not take it personally if they get closed ;)

Sorry I couldn't provide more information.

If I notice this again, what additional data can I provide?  Something useful if I "firefox -g", etc.?
Comment 5 Matěj Cepl 2009-05-16 15:42:35 EDT
well if you would be able to reproduce it in firefox -g (and with debuginfo-install firefox beforehand) and collect a backtrace it would be awesome.

However, here I have to close this.

Note You need to log in before you can comment on or make changes to this bug.